oracle.jdbc.dcn

## Interface QueryChangeDescription

    public interface QueryChangeDescription

This interface describes a query result change.

The information includes:

- The query id;
- The type of query change event;
- A description at the table level of the changes that affect the result of the query..

Since:
  11.1

### Nested Class Summary

Nested Classes
`static class` `QueryChangeDescription.QueryChangeEventType`

### Method Summary

All Methods Instance Methods Abstract Methods
`QueryChangeDescription.QueryChangeEventType` `getQueryChangeEventType()` Returns the type of query change event.
`long` `getQueryId()` Returns the id of the query which result has changed.
`TableChangeDescription[]` `getTableChangeDescription()` Returns the table level change description of this query result.

### Method Detail

#### getQueryId

    long getQueryId()

Returns the id of the query which result has changed.

#### getQueryChangeEventType

    QueryChangeDescription.QueryChangeEventType getQueryChangeEventType()

Returns the type of query change event.

#### getTableChangeDescription

    TableChangeDescription[] getTableChangeDescription()

Returns the table level change description of this query result.

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.